#!/usr/bin/perl -w

use lib '/usr/sausalito/perl';
use CCE;
use POSIX;

$cce = new CCE;
$cce->connectfd();

$server = $cce->event_object();

if($server->{name} ne "autoupdate"){
	$cce->bye("SUCCESS");
	exit(0);
}

if(testServer($server->{location})){
	$cce->bye("SUCCESS");
	exit(0);
}

$cce->warn("[[base-autoupdate.invalidServer]]");
$cce->("FAIL");
exit(1);

sub testServer{
	my($server) = @_;

	my $file = POSIX::tmpnam();
	print D "$file\n";
#	my $authstr;

#	if($pass){
#		$authstr = "--http-user $pass --http-pass $pass";
#	}else{
#		$authstr = "";
#	}

	open(WGET, "/usr/bin/wget -t 2 -T 60 \"$server\" -O $file 2>&1 |");
	print D "wget starting:";
 
    while (<WGET>) {
	print D;
        if (/Host\s+not\s+found/i) {
            close(WGET);
	    system("/bin/rm -f $file");
            return 0;
        }
 
        if (/404\s+Not\s+Found/i) {
            close(WGET);
	    system("/bin/rm -f $file");
            return 0;
        }
 
        if (/refused/i) {
            close(WGET);
	    system("/bin/rm -f $file");
            return 0;
        }

	if (/Giving\s+up./i) {
	    close(WGET);
	    system("rm -f $file");
	    return 0;

	}
	if (/Authorization\s+Required/i) {
	    close(WGET);
            system("rm -f $file");
            return 0;

	}
    }

	my $info=`/usr/bin/file $file`;
	system("/bin/rm -f $file");
	if($info=~/tar|gzip/){
		return 1;
	}else{
		return 0;
	}
}
